Home

# Class goog.dom.pattern.Sequence

Pattern object that matches a sequence of other patterns.

extends goog.dom.pattern.AbstractPattern

Instance Method Summary
| `matchToken(?Node token, ?goog.dom.TagWalkType type) ⇒ ?goog.dom.pattern.MatchType` Test whether the given token starts, continues, or finishes the sequence of patterns given in the constructor.
| `reset()` Reset any internal state this pattern keeps.